package com.zjsgfa.project.zjsgfa.domain;


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-邻井推荐钻头对象 sj_ljtjzt
 * 
 * @author
 * @date 2025-08-18
 */
public class SjLjtjzt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 邻井井号 */
    @Excel(name = "邻井井号")
    private String ljjh;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private Double cc;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 厂家 */
    @Excel(name = "厂家")
    private String cj;

    /** 水眼 */
    @Excel(name = "水眼")
    private String sy;

    /** 造斜点 */
    @Excel(name = "造斜点")
    private Double zxd;

    /** 钻进井段 */
    @Excel(name = "钻进井段")
    private String zjjd;

    /** 层位 */
    @Excel(name = "层位")
    private String cw;

    /** 机械钻速 */
    @Excel(name = "机械钻速")
    private Double jxzs;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setLjjh(String ljjh) 
    {
        this.ljjh = ljjh;
    }

    public String getLjjh() 
    {
        return ljjh;
    }

    public void setCc(Double cc) 
    {
        this.cc = cc;
    }

    public Double getCc() 
    {
        return cc;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setCj(String cj) 
    {
        this.cj = cj;
    }

    public String getCj() 
    {
        return cj;
    }

    public void setSy(String sy) 
    {
        this.sy = sy;
    }

    public String getSy() 
    {
        return sy;
    }

    public void setZxd(Double zxd) 
    {
        this.zxd = zxd;
    }

    public Double getZxd() 
    {
        return zxd;
    }

    public void setZjjd(String zjjd) 
    {
        this.zjjd = zjjd;
    }

    public String getZjjd() 
    {
        return zjjd;
    }

    public void setCw(String cw) 
    {
        this.cw = cw;
    }

    public String getCw() 
    {
        return cw;
    }

    public void setJxzs(Double jxzs) 
    {
        this.jxzs = jxzs;
    }

    public Double getJxzs() 
    {
        return jxzs;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("ljjh", getLjjh())
            .append("cc", getCc())
            .append("ztxh", getZtxh())
            .append("cj", getCj())
            .append("sy", getSy())
            .append("zxd", getZxd())
            .append("zjjd", getZjjd())
            .append("cw", getCw())
            .append("jxzs", getJxzs())
            .append("kc", getKc())
            .toString();
    }
}
